Tokenize Card Data via API for Debit Card Payouts

Shell
$//Request to tokenize a debit card given the raw card number and CVV
>curl --location 'https://api-sandbox.coinflow.cash/api/tokenize' \
>--header 'Authorization: YOUR_API_KEY' \
>--header 'accept: application/json' \
>--header 'content-type: application/json' \
>--header 'tx-apikey: jFQQ2yjKrLMcPeQVrBdixtle34nA6YTsYQXSy8Cv' \
>--header 'tx-token-scheme: sixANTOKENfour' \
>--header 'tx-tokenex-id: 4582952996979143' \
>--data '{
> "data":"4111111111111111",
> "cvv":"275"
>}
>'
>
>// Response
>{
> "token": "411111YJM5TX1111",
> "firstSix": "411111",
> "lastFour": "1111",
> "referenceNumber": "25061922021928468181",
> "success": true,
> "error": ""
>}
>
>//Passing tokenized debit card to add debit card endpoint
>curl --request POST \
> --url https://api-sandbox.coinflow.cash/api/withdraw/debit-card \
> --header 'Authorization: YOUR_API_KEY' \
> --header 'accept: application/json' \
> --header 'content-type: application/json' \
> --header 'x-coinflow-auth-user-id: user123' \
> --data '
>{
> "cardToken": "411111YJM5TX1111",
> "expYear": "30",
> "expMonth": "10"
>}
>'
Response Example
1{
2 "token": "4242423PQLTE4242",
3 "firstSix": "",
4 "lastFour": "",
5 "referenceNumber": "24111214510851465607",
6 "success": true,
7 "error": "",
8 "message": "Found existing token"
9}

Confirm you have provided Coinflow your PCI DSS certification

WARNING - If you have not provided Coinflow your PCI DSS certification you will not be eligible to access this endpoint

Call the Tokenization Endpoint

Pass the raw credit card number and cvv into the data property in the endpoint

Fetch tokenized debit card

Save the tokenized debit card number

Pass the token to the Add Debit Card endpoint

Pass the token received in the response to the “Add Debit Card Endpoint”